﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
  font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

input {
    background-color: darkgrey !important;
}

h1 {
    font-size: calc(1rem + 0.5vw);
}

.chip {
    display: inline-block;
    padding: 0 5px;
    height: 20px;
    font-size: 10px;
    line-height: 18px;
    border-radius: 15px;
    background-color: #f1f1f1;
    margin-top: 5px;
    margin-right: 5px;
    color:darkgrey;
}


.page {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main {
    flex: 1;
}

.search-row {

    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}


.top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row ::deep a, .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth) {
        display: none;
    }

    .top-row.auth {
        justify-content: space-between;
    }

    .top-row a, .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page {
        flex-direction: row;
    }

    .top-row {
        position: sticky;
        top: 0;
        z-index: 1;
    }
}


.list-inline {
    list-style: outside none none;
    padding-left: 0;
}

    .list-inline > li {
        display: inline-block;
        padding-left: 5px;
        padding-right: 5px;
    }

@media screen and (orientation:landscape) {
    #showOnLandscape {
        display: block;
    }

    #showOnPortrait {
        display: none;
    }
}

@media screen and (orientation:portrait) {
    #showOnPortrait {
        display: block;
    }

    #showOnLandscape {
        display: none;
    }
}